# Update upsell settings

Use the **updateDisplayType** method to change the upselling display type for your campaigns between the values "overlay" or "interstitial".

## Request parameters

<table><thead><tr><th width="206.5333251953125">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>sessionID</code></td><td><strong>Required (string)</strong><br>Session identifier, the output of the <strong>Login</strong> method. Include <code>sessionID</code> into all your requests. 2Checkout throws an exception if the values are incorrect. The <code>sessionID</code> expires in 10 minutes.</td></tr><tr><td><code>UpsellingDisplayType</code></td><td><strong>Required (string)</strong><br>Change the upselling display type for your campaigns between the values "overlay" or "interstitial".</td></tr></tbody></table>

### Request sample

```php
<?php

require ('PATH_TO_AUTH');

$textObj = new stdClass();
$textObj->UpsellingDisplayType = "interstitial";

try {

  $upSellSettingsResponse = $client->updateDisplayType($sessionID, $textObj);

} catch (SoapFault $e) {

  echo  $e->getMessage();

}
```

## Response

The **updateDisplayType** method will return the `UpsellingDisplayType` value after the update.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/soap-api-reference/soap-api-6.0/api-requests/upsell/update-upsell-settings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
